Search to-do tasks

Search to-do tasks with filtering and pagination. Task IDs can be found when using POST /mywork/todo under the field named 'id'.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example:

{
    "page": 0,
    "pageSize": 30,
    "remindersFirst": false,
    "sortBy": "doneAt",
    "sortDir": "desc"
}

Body Params

Request to search to-do tasks

int32

Page number (0-based)

int32

Page size

string
required

Sort by field

string

Sort direction

boolean
required

Show reminders first

string

Due date start (inclusive)

string

Due date end (exclusive)

Response

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*